## net.sf.antcontrib.net.httpclient
Class GetMethodTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.antcontrib.net.httpclient.AbstractMethodTask
                  net.sf.antcontrib.net.httpclient.GetMethodTask

    public class GetMethodTask

extends AbstractMethodTask

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.antcontrib.net.httpclient.AbstractMethodTask
`AbstractMethodTask.ResponseHeader`

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`GetMethodTask()`

Method Summary
`protected org.apache.commons.httpclient.HttpMethodBase` `createNewMethod()`

Methods inherited from class net.sf.antcontrib.net.httpclient.AbstractMethodTask
`addConfiguredHeader, addConfiguredHttpClient, addConfiguredParams, addConfiguredResponseHeader, cleanupResources, configureMethod, createMethodIfNecessary, execute, setClientRefId, setDoAuthentication, setFollowRedirects, setPath, setQueryString, setResponseDataFile, setResponseDataProperty, setStatusCodeProperty, setURL`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetMethodTask

    public GetMethodTask()

Method Detail

### createNewMethod

    protected org.apache.commons.httpclient.HttpMethodBase createNewMethod()

  Specified by:
    `createNewMethod` in class `AbstractMethodTask`